Error dependency problems prevent configuration of webmin on Ubuntu 11

Webmin error while attempting to install it on ubuntu@

dpkg –install webmin_1.620_all.deb
(Reading database … 83378 files and directories currently installed.)
Preparing to replace webmin 1.620 (using webmin_1.620_all.deb) …
Unpacking replacement webmin …
dpkg: dependency problems prevent configuration of webmin:
 webmin depends on libnet-ssleay-perl; however:
  Package libnet-ssleay-perl is not installed.
 webmin depends on libauthen-pam-perl; however:
  Package libauthen-pam-perl is not installed.
 webmin depends on libio-pty-perl; however:
  Package libio-pty-perl is not installed.
 webmin depends on apt-show-versions; however:
  Package apt-show-versions is not installed.
dpkg: error processing webmin (–install):
 dependency problems – leaving unconfigured
Processing triggers for ureadahead …
Errors were encountered while processing:
 webmin

The following webmin url helped to sort this error, by running the apt-get install command to manually install the dependencies missing.

apt-get install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-show-versions python

Leave a Reply